* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: black;
    font-family: "IBM Plex Sans", sans-serif;
}

 

.loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000000;
    display: flex;
    justify-content: center;
    align-items: center; 
    z-index: 9999;
}

.loader-image {
    border-radius: 10px;
    width: 150px;
    height: auto;
}




.container1 {
    width: 1200px;
    margin: 80px auto;
    /* display: flex; */
}

.container1-left,
.container1-right {
    position: relative;
    opacity: 0;
}

.container1-left {
    width: 900px;
    animation: slideFromRight 1s forwards;
    animation-delay: 2s;
    margin: 0 auto;
}

.container1-left img {
    width: 900px;
    height: auto;
    margin: 0 auto;
}

.container1-right {
    width: 1200px;
    margin: 0 auto;
    animation: slideFromLeft 1s forwards;
    animation-delay: 2s;
}

@keyframes slideFromRight {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes slideFromLeft {
    0% {
        transform: translateY(100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.container1-right h2 {
    font-size: 4rem;
    font-weight: 700;
    text-transform: uppercase;
    color: white;
    padding: 20px 0;
    text-align: center;
    text-shadow: 2px 4px 4px rgba(46,91,173,0.6);
}

.container1-right p {
    padding-top: 30px;
    line-height: 1.5em;
    font-size: 18px;
    color: white;
    text-align: justify;
}

@media (max-width: 1200px) {
    .container1 {
        width: 700px;
        margin: 50px auto;
        display: flex;
        flex-wrap: wrap;
    }

    .container1-left {
        width: 600px;
        margin: 0 auto;
    }

    .container1-left img {
        width: 600px;
        height: auto;
    }

    .container1-right {
        width: 600px;
        margin: 0 auto;
    }
}

@media (max-width: 500px) {
    .container1 {
        width: 380px;
        margin: 50px auto;
        display: flex;
        flex-wrap: wrap;
    }

    .container1-left {
        width: 370px;
    }

    .container1-left img {
        width: 370px;
        height: auto;
    }

    .container1-right {
        width: 370px;
        margin: 0 auto;
    }

    .container1-right h2 {
        font-size: 2rem;
        font-weight: 700;
        text-transform: uppercase;
        color: aqua;
    }

    .container1-right p {
        padding-top: 10px;
        font-size: 14px;
        color: white;
        text-align: justify;
    }
}





/* feature  */

.key-features {
    padding: 0 14rem;
    background-color: #000000;
    text-align: center;
    padding-bottom: 6rem;
}

.key-features h1 {
    text-transform: uppercase;
    padding: 5rem 0;
    font-size: 2rem;
    font-weight: bold;
    color: #ffffff;
}

.key-points {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.key-points li {
    /* background-color: #51c4bd; */
    /* border: 5px solid #00726a; */
    border-radius: 1rem;
    padding: 1.5rem;
    font-weight: 500;
    font-size: 1rem;
    /* color: #000000; */
    flex-basis: calc(33.33% - 20px);
    margin: 10px;
    margin-bottom: 2rem;
    border: solid 1px #51c4bd;
    background-color: #000000;
    color: #fff;
    box-shadow: 0px 10px 15px -5px #51c4bd;
    text-shadow: 0px 0px 3px #fff;
}

@media (max-width: 1100px) {
    .key-features {
        padding: 0 1rem;
    }

    .key-features h1 {
        font-size: 2rem;
    }

    .key-points {
        font-size: 0.9rem;
        padding: 0 0 6rem 0;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: column;
        align-content: center;
        align-items: stretch;
    }
}

/* feature  */










/* CONTAINER 3 START  */


.container3 {
    background-color: #000;
}

.product {
    width: 100%;
    height: 100vh;
}

.product__images {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.product__main-image {
    width: 500px;
    object-fit: cover;
    cursor: pointer;
}

.product__details-button {
    padding: 10px;
    font-weight: 500;
    font-size: 20px;
}

.product__slider-wrap {
    max-width: 500px;
    min-height: 100px;
    display: flex;
    align-items: center;
}

.product__slider {
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
}

.product__image {
    max-width: 100px;
    max-height: 100px;
    object-fit: cover;
    cursor: pointer;
    opacity: 0.5;
    margin: 0.25rem;
    border: 2px solid white;
}

.product__image:first-child {
    margin-left: 0;
}

.product__image:last-child {
    margin-right: 0;
}

.product__image:hover {
    opacity: 1;
}

.product__image--active {
    opacity: 1;
}

.product__slider::-webkit-scrollbar {
    height: 10px;
}

.product__slider::-webkit-scrollbar-thumb {
    background-color: #4fdaf9;
    border-radius: 50px;
}

@media screen and (max-width: 700px) {
    .product__main-image {
        width: 375px;
    }
}

/* CONTAINER 4 END  */















/* Application start */

.app {
    background-color: #000000;
    /* background-image: url(/images/Applications-Vector.png); */
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-bottom: 100px;
}

.app h1 {
    text-align: center;
    color: #fff;
    font-size: 2.3rem;
    font-weight: 600;
    padding: 1.5rem 0;
}

.cards_wrap {
    padding: 10px 5%;
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}


.cards_wrap .card_item {
    padding: 30px;
    width: 25%;
}

.cards_wrap .card_inner {
    /* background-color: #00726a; */
    /* background: radial-gradient(50% 50% at 50% 50%, #564f4f 0%, #333 100%); */
    width: 110%;
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 40px;
}
 
.card_inner:hover img {
    transform: scale(1.1);
}

.cards_wrap .card_item img {
    display: block;
    margin: 27px auto;
    width: 90%;
}

.cards_wrap .card_item .role_name {
    color: #ffffff;
    font-weight: 900;
    letter-spacing: 2px;
    font-size: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
}

@media screen and (max-width: 1024px) {
    .cards_wrap .card_item {
        width: 33.33%;
    }
}

@media screen and (max-width: 768px) {

    .cards_wrap {
        justify-content: center;
    }

    .cards_wrap .card_item {
        width: 45%;
        /* Two cards per row */
        margin-bottom: 2rem;
    }

    .app h1 {
        font-size: 1.5rem;
    }

    .cards_wrap .card_inner {
        width: 104%;
        /* height: 30rem; */
    }
}

@media screen and (max-width: 568px) {
    .cards_wrap .card_item {
        width: 100%;
    }
}

@media screen and (max-width: 375px) {
    .cards_wrap .card_inner {
        width: 104%;
        /* height: 22rem; */
    }

    .cards_wrap .card_item .role_name {
        font-size: 15px;
    }
}


/* Application end */






.headingproduct {
    font-size: 2.5rem;
    font-weight: 700;
    color: white;
    padding: 10px 0;
    text-align: center;
    text-transform: uppercase;
    text-shadow: 0px 0px 3px #fff;
}





/* collage  */

.col-head {
    text-transform: uppercase;
    font-weight: 700;
    text-align: center;
    margin-top: 1rem;
}

.image-container {
    position: relative;
    width: 100%;
    margin: 0 auto;
}

.image-container img {
    width: 100%;
    display: block;
    filter:grayscale(100%); 
    transition: opacity 0.3s ease;
}

.image-container:hover .hover-image {
    filter:grayscale(0%);
}


/* collage  */







/* animation in applications cards  */
@keyframes appear {
    from {
        opacity: 0;
        scale: 0.5;
        /* clip-path: inset(100% 100% 0 0); */
    }
    to{
        opacity: 1;
        scale: 1;
        /* clip-path: inset(0 0 0 0); */
    }
}

.card_item{
    animation: appear linear;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}
/* animation in cards  */


